# Class ModalUiHandler`Abstract`

A basic abstract class to act as a holder and processor for UI elements.

#### Hierarchy (view full)

- default
  - ModalUiHandler
    - FormModalUiHandler
    - default
    - default
    - default
    - default

- Defined in src/ui/modal-ui-handler.ts:12

#####
Index

### Constructors

constructor

### Properties

active
buttonBgs
buttonContainers
cursor
modalBg
modalContainer
mode
scene
titleText

### Methods

clear
getButtonLabels
getButtonTopMargin
getCursor
getHeight
getMargin
getModalTitle
getTextColor
getUi
getWidth
processInput
setCursor
setup
show
updateContainer

## Constructors

### constructor

- new ModalUiHandler(scene, mode?): ModalUiHandler

- #### Parameters

  - scene: default
  - `Optional` mode: Mode

  #### Returns ModalUiHandler

  Overrides default.constructor

  - Defined in src/ui/modal-ui-handler.ts:19

## Properties

### active

active: boolean = false

Inherited from default.active

- Defined in src/ui/ui-handler.ts:13

### `Protected` buttonBgs

buttonBgs: NineSlice[]

- Defined in src/ui/modal-ui-handler.ts:17

### `Protected` buttonContainers

buttonContainers: Container[]

- Defined in src/ui/modal-ui-handler.ts:16

### `Protected` cursor

cursor: number = 0

Inherited from default.cursor

- Defined in src/ui/ui-handler.ts:12

### `Protected` modalBg

modalBg: NineSlice

- Defined in src/ui/modal-ui-handler.ts:14

### `Protected` modalContainer

modalContainer: Container

- Defined in src/ui/modal-ui-handler.ts:13

### `Protected` mode

mode: number

Inherited from default.mode

- Defined in src/ui/ui-handler.ts:11

### `Protected` scene

scene: default

Inherited from default.scene

- Defined in src/ui/ui-handler.ts:10

### `Protected` titleText

titleText: Text

- Defined in src/ui/modal-ui-handler.ts:15

## Methods

### clear

- clear(): void

- #### Returns void

  Overrides default.clear

  - Defined in src/ui/modal-ui-handler.ts:132

### `Abstract` getButtonLabels

- getButtonLabels(config?): string[]

- #### Parameters

  - `Optional` config: ModalConfig

  #### Returns string[]

  - Defined in src/ui/modal-ui-handler.ts:34

### getButtonTopMargin

- getButtonTopMargin(): number

- #### Returns number

  - Defined in src/ui/modal-ui-handler.ts:36

### getCursor

- getCursor(): number

- #### Returns number

  Inherited from default.getCursor

  - Defined in src/ui/ui-handler.ts:42

### `Abstract` getHeight

- getHeight(config?): number

- #### Parameters

  - `Optional` config: ModalConfig

  #### Returns number

  - Defined in src/ui/modal-ui-handler.ts:30

### `Abstract` getMargin

- getMargin(config?): [number, number, number, number]

- #### Parameters

  - `Optional` config: ModalConfig

  #### Returns [number, number, number, number]

  - Defined in src/ui/modal-ui-handler.ts:32

### `Abstract` getModalTitle

- getModalTitle(config?): string

- #### Parameters

  - `Optional` config: ModalConfig

  #### Returns string

  - Defined in src/ui/modal-ui-handler.ts:26

### getTextColor

- getTextColor(style, shadow?): string

- #### Parameters

  - style: TextStyle
  - shadow: boolean = false

  #### Returns string

  Inherited from default.getTextColor

  - Defined in src/ui/ui-handler.ts:38

### getUi

- getUi(): default

- #### Returns default

  Inherited from default.getUi

  - Defined in src/ui/ui-handler.ts:34

### `Abstract` getWidth

- getWidth(config?): number

- #### Parameters

  - `Optional` config: ModalConfig

  #### Returns number

  - Defined in src/ui/modal-ui-handler.ts:28

### processInput

- processInput(button): boolean

- #### Parameters

  - button: Button

  #### Returns boolean

  Overrides default.processInput

  - Defined in src/ui/modal-ui-handler.ts:128

### setCursor

- setCursor(cursor): boolean

- #### Parameters

  - cursor: number

  #### Returns boolean

  Inherited from default.setCursor

  - Defined in src/ui/ui-handler.ts:46

### setup

- setup(): void

- #### Returns void

  Overrides default.setup

  - Defined in src/ui/modal-ui-handler.ts:40

### show

- show(args): boolean

- #### Parameters

  - args: any[]

  #### Returns boolean

  Overrides default.show

  - Defined in src/ui/modal-ui-handler.ts:83

### updateContainer

- updateContainer(config?): void

- #### Parameters

  - `Optional` config: ModalConfig

  #### Returns void

  - Defined in src/ui/modal-ui-handler.ts:107